Bug 1332 - Limit on size of root partition makes installation difficult
Limit on size of root partition makes installation difficult
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-02-25 12:44 EST by Pete Chown
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-01 12:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Chown 1999-02-25 12:44:43 EST
There is a limit on the size of the root partition.  Now,
this makes sense in one way because it avoids the issue
where Lilo can't read the kernel because it is beyond the
area of the disk which is accessible by the BIOS.

However, it is possible to create a big root partition but
have a small partition mounted on /boot.  The new
installation system stops you doing this.

I am aware that this is a somewhat debatable point, so I
will raise it on the list as well.  I for one, though, will
find it very annoying if it gets into the final product.
(If you do decide to put it in, it would be nice to have a
way of overriding it, for example by stopping it applying to
expert mode installations.)
Comment 1 Dale Lovelace 1999-03-01 12:17:59 EST
Disk Druid merely throws out a warning. It allows you to do this, but
you must later put in a smaller /boot partition. The documentation
(and possibly the disk druid warning) could be a little better here

Note You need to log in before you can comment on or make changes to this bug.